package com.ruoyi.mall.domain.Bo;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * 只能匹配数据
 * @author 萌
 */
public class MatchSchoolBO implements Serializable {
    private static final long serialVersionUID = 1L;

    /** 用户id */
    @NotNull(message = "缺少id")
    private Long id;

    /** 学科id */
    private Long subjectId;

    /** 文化分 */
    @NotNull(message = "缺少cultureScore")
    private Integer cultureScore;

    /** 联考分 */
    @NotNull(message = "缺少majorScore")
    private Integer majorScore;

    /** 批次id */
    @NotNull(message = "缺少batchId")
    private Long batchId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(Long subjectId) {
        this.subjectId = subjectId;
    }

    public Integer getCultureScore() {
        return cultureScore;
    }

    public void setCultureScore(Integer cultureScore) {
        this.cultureScore = cultureScore;
    }

    public Integer getMajorScore() {
        return majorScore;
    }

    public void setMajorScore(Integer majorScore) {
        this.majorScore = majorScore;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    @Override
    public String toString() {
        return "MatchSchoolBO{" +
                "subjectId=" + subjectId +
                ", cultureScore=" + cultureScore +
                ", majorScore=" + majorScore +
                ", batchId=" + batchId +
                ", id=" + id +
                '}';
    }
}
